function MakeInt( val )
{
	for (var i=0; i<val.length; i++) {
		if ( val.charAt(i) != '0' ) {
			return parseInt(val.substring( i, val.length ));
		}
	}
	return 0;
}

function isDigit(val, allowable)
{
	var valid = true;
	var cmp = "0123456789" + allowable;

	for (var i=0; i<val.length; i++) {
		if (cmp.indexOf(val.charAt(i)) < 0) {
			valid = false;
			break;
		}
	}
	return valid;
}

function ObjectIsNumber( vObject, vLen, vTitle )
{
	var vRequire = '';

	if ( isDigit( vObject.value, "-+" ) && vObject.value.length >= vLen ) { return true; }

	if ( vLen > 0 ) vRequire = "\n\n'"+vTitle+"' ׸ ʼ׸Դϴ.";

	alert( "'" + vTitle + "' ׸  Է մϴ." + vRequire );
	vObject.focus();

	return false;
}

function ObjectIsFloatNumber( vObject, vLen, vTitle )
{
	var vRequire = '';

	if ( isDigit( vObject.value, "-+." ) && vObject.value.length >= vLen ) { return true; }

	if ( vLen > 0 ) vRequire = "\n\n'"+vTitle+"' ׸ ʼ׸Դϴ.";

	alert( "'" + vTitle + "' ׸ Ǽ Է մϴ." + vRequire );
	vObject.focus();

	return false;
}

function ObjectIsKorean( vObject, vLen, vTitle )
{
	var vRequire = '';

	if ( isKorean( vObject.value ) && vObject.value.length >= vLen ) { return true; }

	if ( vLen > 0 ) vRequire = "\n\n'"+vTitle+"' ׸ ʼ׸Դϴ.";

	alert( "'" + vTitle + "' ׸ ѱ۸ Է մϴ." + vRequire );
	vObject.focus();

	return false;
}

function ObjectIsAlphabet( vObject, vLen, vTitle )
{
	var vRequire = '';

	if ( isAlphabet( vObject.value ) && vObject.value.length >= vLen ) { return true; }

	if ( vLen > 0 ) vRequire = "\n\n'"+vTitle+"' ׸ ʼ׸Դϴ.";

	alert( "'" + vTitle + "' ׸ ѱ۸ Է մϴ." + vRequire );
	vObject.focus();

	return false;
}

// ID  ,,׸ ~  !
function isUserId(val)
{
	var valid = true;
	var cmp = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz01234567890.";

	for (var i=0; i<val.length; i++) {
		if (cmp.indexOf(val.charAt(i)) < 0) {
			valid = false;
			break;
		}
	}
	return valid;
}

function isAlphabet(val)
{
	var valid = true;
	var cmp = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz";

	for (var i=0; i<val.length; i++) {
		if (cmp.indexOf(val.charAt(i)) < 0) {
			valid = false;
			break;
		}
	}
	return valid;
}

function isKorean(str) 
{
	var re = /[a-zA-Z0-9\s~!@#\$%^&\*\(\)_\+\{\}|:"<>\?`\-=\[\]\\;',\.\/]/;
	if (re.test(str))
		return false;
	return true;
}

function isEMail(str)
{
	if ( str.search(/(^\..*)|(.*\.$)/) != -1 || str.search(/\S+@(\S+)\.(\S+)/) == -1 ) {
        alert("ڿּ  '@[ȣƮ|]'  Ǿ ϸ,\r\nʿ '.' Ǿ ȵ˴ϴ.\r\n\r\n) angel@pointclub.co.kr");
        return false ;
    }
	return true;
}

function isCivilNo(it)
{
	var idtot=0;
	var idadd="234567892345";
	
	for (var i=0; i<12; i++) {
		idtot = idtot+parseInt(it.substring(i,i+1))*parseInt(idadd.substring(i,i+1));
	}
	idtot=11-(idtot%11);
	if (idtot==10) {
		idtot=0;
	} else if(idtot==11) {
		idtot=1;
	}
	if (parseInt(it.substring(12,13))!=idtot) 
		return false;

	return true;
}

function OnEventRightMouseClick()
{
	if ( ( event.button == 2 || event.button == 3 ) ) {
	}
}

function srcInstall()
{
	document.onmousedown = OnEventRightMouseClick;

	if ( navigator.appName == "Netscape" ) {
		document.captureEvents( Event.MOUSEDOWN );
		document.onmousedown = checkClick;
	
		function checkClick( ev ) {
			if ( ev.which != 1 ) {
				return false;
			}
		}
	}
}