# phpMyAdmin MySQL-Dump
# http://phpwizard.net/phpMyAdmin/
#
# Host: localhost Database : xsapiens

# --------------------------------------------------------
#
# Table structure for table 'xbbs_majorm'
#

CREATE TABLE xbbs_majorm (
   major_code char(3) DEFAULT '000' NOT NULL,
   cont varchar(64) NOT NULL,
   PRIMARY KEY (major_code),
   KEY major_code (major_code)
);

#
# Dumping data for table 'xbbs_majorm'
#

INSERT INTO xbbs_majorm (major_code, cont) VALUES ( '000', 'Code ');
INSERT INTO xbbs_majorm (major_code, cont) VALUES ( '001', 'Job Code');
INSERT INTO xbbs_majorm (major_code, cont) VALUES ( '002', 'Scholarship Code');

# --------------------------------------------------------
#
# Table structure for table 'xbbs_minorm'
#

CREATE TABLE xbbs_minorm (
   major_code char(3) DEFAULT '000' NOT NULL,
   minor_code char(3) DEFAULT '000' NOT NULL,
   cont varchar(64) NOT NULL,
   PRIMARY KEY (major_code, minor_code),
   KEY major_code (major_code, minor_code)
);

#
# Dumping data for table 'xbbs_minorm'
#

INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '000', '001', 'Job Code');
INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '001', '001', 'л');
INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '001', '002', '');
INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '001', '003', '');
INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '001', '004', '');
INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '001', '005', 'Ƿ');
INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '001', '006', '');
INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '001', '007', '');
INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '001', '008', '');
INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '001', '009', '');
INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '000', '002', 'Scholarship Code');
INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '002', '001', 'ʵб');
INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '002', '002', 'ʵб');
INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '002', '003', 'б');
INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '002', '004', 'б');
INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '002', '005', 'б');
INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '002', '006', 'б');
INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '002', '007', '');
INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '002', '008', '̼');
INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '002', '009', '');
INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '002', '010', '');
INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '002', '011', '̼');
INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '002', '012', '');
INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '002', '013', 'п');
INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '002', '014', 'п̼');
INSERT INTO xbbs_minorm (major_code, minor_code, cont) VALUES ( '002', '015', 'п');

# --------------------------------------------------------
#
# Table structure for table 'xbbs_poll_a'
#

CREATE TABLE xbbs_poll_a (
   id varchar(32) NOT NULL,
   answer decimal(2,0) DEFAULT '0' NOT NULL,
   ip_addr varchar(8) DEFAULT '000000' NOT NULL,
   poll_time datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   PRIMARY KEY (id, poll_time),
   KEY id (id, answer, poll_time, ip_addr)
);

#
# Dumping data for table 'xbbs_poll_a'
#


# --------------------------------------------------------
#
# Table structure for table 'xbbs_poll_e'
#

CREATE TABLE xbbs_poll_e (
   id varchar(32) NOT NULL,
   no decimal(2,0) DEFAULT '0' NOT NULL,
   example varchar(127) NOT NULL,
   PRIMARY KEY (id, no),
   KEY id (id, no)
);

#
# Dumping data for table 'xbbs_poll_e'
#


# --------------------------------------------------------
#
# Table structure for table 'xbbs_poll_q'
#

CREATE TABLE xbbs_poll_q (
   id varchar(32) NOT NULL,
   create_time datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   question varchar(255) NOT NULL,
   tag_table varchar(255) DEFAULT 'cellpadding=0 cellspacing=0 border=0 width=100%' NOT NULL,
   tag_question_tr varchar(255) DEFAULT 'height=25' NOT NULL,
   tag_question_td varchar(255) DEFAULT 'align=center bgcolor=efefef' NOT NULL,
   tag_answer_tr varchar(255) DEFAULT 'height=20' NOT NULL,
   tag_answer_td varchar(255) DEFAULT 'align=left' NOT NULL,
   tag_button_tr varchar(255) DEFAULT 'height=25' NOT NULL,
   tag_button_td varchar(255) DEFAULT 'align=right' NOT NULL,
   PRIMARY KEY (id),
   KEY id (id, create_time)
);

#
# Dumping data for table 'xbbs_poll_q'
#

# --------------------------------------------------------
#
# Table structure for table 'xbinfo'
#

CREATE TABLE xbinfo (
   id varchar(32) NOT NULL,
   title varchar(127) NOT NULL,
   admin_id varchar(32) NOT NULL,
   admin_email varchar(127) NOT NULL,
   prev_member_upload enum('0','1') DEFAULT '0' NOT NULL,
   prev_member_download enum('0','1') DEFAULT '0' NOT NULL,
   prev_member_list enum('0','1') DEFAULT '0' NOT NULL,
   prev_member_read enum('0','1') DEFAULT '0' NOT NULL,
   prev_member_write enum('0','1') DEFAULT '0' NOT NULL,
   prev_semimember_upload enum('0','1') DEFAULT '0' NOT NULL,
   prev_semimember_download enum('0','1') DEFAULT '0' NOT NULL,
   prev_semimember_list enum('0','1') DEFAULT '0' NOT NULL,
   prev_semimember_read enum('0','1') DEFAULT '0' NOT NULL,
   prev_semimember_write enum('0','1') DEFAULT '0' NOT NULL,
   prev_guest_upload enum('0','1') DEFAULT '0' NOT NULL,
   prev_guest_download enum('0','1') DEFAULT '0' NOT NULL,
   prev_guest_list enum('0','1') DEFAULT '0' NOT NULL,
   prev_guest_read enum('0','1') DEFAULT '0' NOT NULL,
   prev_guest_write enum('0','1') DEFAULT '0' NOT NULL,
   seq_no enum('0','1','2','3','4','5','6') DEFAULT '0' NOT NULL,
   seq_title enum('0','1','2','3','4','5','6') DEFAULT '2' NOT NULL,
   seq_author enum('0','1','2','3','4','5','6') DEFAULT '3' NOT NULL,
   seq_attach enum('0','1','2','3','4','5','6') DEFAULT '1' NOT NULL,
   seq_write_time enum('0','1','2','3','4','5','6') DEFAULT '4' NOT NULL,
   seq_cnt enum('0','1','2','3','4','5','6') DEFAULT '5' NOT NULL,
   cont_no varchar(16) DEFAULT 'ȣ' NOT NULL,
   cont_title varchar(16) DEFAULT '' NOT NULL,
   cont_author varchar(16) DEFAULT 'ۼ' NOT NULL,
   cont_attach varchar(16) DEFAULT '÷' NOT NULL,
   cont_write_time varchar(16) DEFAULT 'ۼ' NOT NULL,
   cont_cnt varchar(16) DEFAULT 'ȸ' NOT NULL,
   list_type enum('0','1','2','3','4','5','6') NOT NULL,
   list_cnt decimal(2,0) DEFAULT '10' NOT NULL,
   max_title_len decimal(2,0) DEFAULT '30' NOT NULL,
   button_type enum('0','1') NOT NULL,
   email_post_board enum('0','1','2','3') DEFAULT '0' NOT NULL,
   email_post_semimember enum('0','1') DEFAULT '0' NOT NULL,
   email_post_member enum('0','1') DEFAULT '0' NOT NULL,
   email_post_admin enum('0','1') DEFAULT '0' NOT NULL,
   datetime_visible enum('0','1') NOT NULL,
   datetime_type enum('0','1','2','3','4','5','6','7','8') DEFAULT '0' NOT NULL,
   ext1_enable enum('0','1') NOT NULL,
   ext1_cont varchar(16) DEFAULT '߰1' NOT NULL,
   ext1_visible enum('0','1') DEFAULT '0' NOT NULL,
   ext2_enable enum('0','1') NOT NULL,
   ext2_cont varchar(16) DEFAULT '߰1' NOT NULL,
   ext2_visible enum('0','1') DEFAULT '0' NOT NULL,
   color_field_bgcolor varchar(7) DEFAULT '#e7e7e7' NOT NULL,
   color_field_left_top varchar(7) DEFAULT '#efefef' NOT NULL,
   color_field_right_bottom varchar(7) DEFAULT '#808080' NOT NULL,
   color_list_bgcolor varchar(7) DEFAULT '#f5f5f5' NOT NULL,
   color_list_left_top varchar(7) DEFAULT '#ffffff' NOT NULL,
   color_list_right_bottom varchar(7) DEFAULT '#ffffff' NOT NULL,
   color_cont_bgcolor varchar(7) DEFAULT '#ffffff' NOT NULL,
   color_cont_left_top varchar(7) DEFAULT '#d1d1d1' NOT NULL,
   color_cont_right_bottom varchar(7) DEFAULT '#d1d1d1' NOT NULL,
   head text NOT NULL,
   tail text NOT NULL,
   PRIMARY KEY (id),
   KEY id (id, title, admin_id)
);

#
# Dumping data for table 'xbinfo'
#


# --------------------------------------------------------
#
# Table structure for table 'xmem_memo'
#

CREATE TABLE xmem_memo (
   id varchar(32) NOT NULL,
   write_time datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   status enum('0','1','2') DEFAULT '1' NOT NULL,
   from_id varchar(32) NOT NULL,
   cont text NOT NULL,
   ip_addr varchar(8) DEFAULT '00000000' NOT NULL,
   PRIMARY KEY (id, write_time),
   KEY id (id, write_time, status, from_id)
);

#
# Dumping data for table 'xmem_memo'
#

# --------------------------------------------------------
#
# Table structure for table 'xmem_user'
#

CREATE TABLE xmem_user (
   id varchar(32) NOT NULL,
   password varchar(32) NOT NULL,
   level enum('1','2','3') DEFAULT '3' NOT NULL,
   enabled enum('0','1') DEFAULT '1' NOT NULL,
   login_time datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   logout_time datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   sign_date datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   PRIMARY KEY (id),
   KEY id (id, password, level, enabled)
);

#
# Dumping data for table 'xmem_user'
#

INSERT INTO xmem_user (id, password, level, enabled, login_time, logout_time, sign_date) VALUES ( 'admin', '1234', '1', '1', '2001-10-23 02:58:20', '2001-10-14 19:17:22', '2001-10-14 19:17:22');

# --------------------------------------------------------
#
# Table structure for table 'xmem_user_detail'
#

CREATE TABLE xmem_user_detail (
   id varchar(32) NOT NULL,
   name varchar(32) NOT NULL,
   register_id_0 varchar(6) DEFAULT 'xxxxxx' NOT NULL,
   register_id_1 varchar(7) DEFAULT 'xxxxxxx' NOT NULL,
   sex enum('0','1','2') DEFAULT '0' NOT NULL,
   birth_day datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   birth_lunar_or_solar enum('0','1') DEFAULT '1' NOT NULL,
   birth_leap enum('0','1') DEFAULT '0' NOT NULL,
   comm_addr_home_0 varchar(255) NOT NULL,
   comm_addr_home_1 varchar(255) NOT NULL,
   comm_zipcode_home varchar(7) NOT NULL,
   comm_addr_office_0 varchar(255) NOT NULL,
   comm_addr_office_1 varchar(255) NOT NULL,
   comm_zipcode_office varchar(7) NOT NULL,
   comm_tel_home varchar(20) NOT NULL,
   comm_tel_office varchar(20) NOT NULL,
   comm_tel_fax varchar(20) NOT NULL,
   comm_tel_mobile varchar(20) NOT NULL,
   comm_inter_email varchar(255) NOT NULL,
   comm_inter_homepage varchar(255) NOT NULL,
   scholarship varchar(32) NOT NULL,
   job varchar(64) NOT NULL,
   bodily_height decimal(3,0) DEFAULT '0' NOT NULL,
   bodily_weight decimal(3,0) DEFAULT '0' NOT NULL,
   military enum('0','1') DEFAULT '0' NOT NULL,
   fee_nonpayment enum('0','1') DEFAULT '0' NOT NULL,
   fee_nonpayment_from datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   photo varchar(255) NOT NULL,
   open enum('0','1') DEFAULT '0' NOT NULL,
   PRIMARY KEY (id),
   KEY id (id, name),
   KEY open (open)
);

#
# Dumping data for table 'xmem_user_detail'
#

INSERT INTO xmem_user_detail (id, name, register_id_0, register_id_1, sex, birth_day, birth_lunar_or_solar, birth_leap, comm_addr_home_0, comm_addr_home_1, comm_zipcode_home, comm_addr_office_0, comm_addr_office_1, comm_zipcode_office, comm_tel_home, comm_tel_office, comm_tel_fax, comm_tel_mobile, comm_inter_email, comm_inter_homepage, scholarship, job, bodily_height, bodily_weight, military, fee_nonpayment, fee_nonpayment_from, photo, open) VALUES ( 'admin', '', '', '', '0', '2001-10-14 19:18:16', '1', '0', '', '', '-', '', '', '-', '--', '--', '--', '011--', 'x@xbbs.co.kr', 'http://xbbs.co.kr', '001', '001', '0', '0', '0', '0', '2001-10-14 19:18:16', '00011-20.gif', '0');

# --------------------------------------------------------
#
# Table structure for table 'xmeminfo'
#

CREATE TABLE xmeminfo (
   id varchar(32) DEFAULT 'xmember4' NOT NULL,
   default_level enum('1','2','3') DEFAULT '3' NOT NULL,
   field_register_id enum('0','1','2') DEFAULT '1' NOT NULL,
   field_sex enum('0','1','2') DEFAULT '1' NOT NULL,
   field_birth_day enum('0','1','2') DEFAULT '1' NOT NULL,
   field_address_home enum('0','1','2') DEFAULT '1' NOT NULL,
   field_address_office enum('0','1','2') DEFAULT '1' NOT NULL,
   field_teleline_home enum('0','1','2') DEFAULT '1' NOT NULL,
   field_teleline_office enum('0','1','2') DEFAULT '1' NOT NULL,
   field_teleline_fax enum('0','1','2') DEFAULT '1' NOT NULL,
   field_teleline_mobile enum('0','1','2') DEFAULT '1' NOT NULL,
   field_email enum('0','1','2') DEFAULT '1' NOT NULL,
   field_homepage enum('0','1','2') DEFAULT '1' NOT NULL,
   field_scholarship enum('0','1','2') DEFAULT '1' NOT NULL,
   field_job enum('0','1','2') DEFAULT '1' NOT NULL,
   field_bodily enum('0','1','2') DEFAULT '1' NOT NULL,
   field_military enum('0','1','2') DEFAULT '1' NOT NULL,
   field_fee enum('0','1','2') DEFAULT '1' NOT NULL,
   field_photo enum('0','1','2') DEFAULT '1' NOT NULL,
   color_head_bgcolor varchar(7) NOT NULL,
   color_head_left_top varchar(7) NOT NULL,
   color_head_right_bottom varchar(7) NOT NULL,
   color_field_bgcolor varchar(7) NOT NULL,
   color_field_left_top varchar(7) NOT NULL,
   color_field_right_bottom varchar(7) NOT NULL,
   nextpage_sign varchar(255) DEFAULT '/' NOT NULL,
   nextpage_modify varchar(255) DEFAULT '/' NOT NULL,
   nextpage_login varchar(255) DEFAULT '/' NOT NULL,
   nextpage_logout varchar(255) DEFAULT '/' NOT NULL,
   path_photo_web varchar(255) NOT NULL,
   path_photo_hdd varchar(255) NOT NULL,
   html_head text,
   html_tail text,
   PRIMARY KEY (id),
   KEY id (id)
);

#
# Dumping data for table 'xmeminfo'
#

INSERT INTO xmeminfo (id, default_level, field_register_id, field_sex, field_birth_day, field_address_home, field_address_office, field_teleline_home, field_teleline_office, field_teleline_fax, field_teleline_mobile, field_email, field_homepage, field_scholarship, field_job, field_bodily, field_military, field_fee, field_photo, color_head_bgcolor, color_head_left_top, color_head_right_bottom, color_field_bgcolor, color_field_left_top, color_field_right_bottom, nextpage_sign, nextpage_modify, nextpage_login, nextpage_logout, path_photo_web, path_photo_hdd, html_head, html_tail) VALUES ( 'xmember4', '3', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '#e7e7e7', '#efefef', '#808080', '#efefef', '#f5f5f5', '#d1d1d1', '/', '/', '/', '/', '/xbbs/member/file', '/home/xsapiens/www/xbbs/member/file', '<html>
<head>
  <title>XBBS - XMember</title>
</head>

<STYLE TYPE=\\\'TEXT/CSS\\\'>
<!--
	BODY {FONT-SIZE:9PT ; font-face:Tahoma, ;line-height:13pt ;font-color:808080}
	A:LINK    {FONT-SIZE:9PT ;TEXT-DECORATION:NONE ;color:47769b ; font-face:Tahoma, ;}
	A:VISITED {FONT-SIZE:9PT ;TEXT-DECORATION:NONE ;color:47769b; font-face:Tahoma, ;}
	A:ACTIVE  {FONT-SIZE:9PT ;TEXT-DECORATION:NONE ; font-face:Tahoma, ;}
	A:hover   {TEXT-DECORATION:underline; COLOR:bf808f ; font-face:Tahoma, ;}
	FONT {FONT-SIZE:9PT ;line-height:13pt ;font-color:808080 ; font-face:Tahoma, ;}
	 td {FONT-SIZE:9PT ;line-height:13pt ; font-face:Tahoma, ;}
	input{FONT-SIZE:9PT; font-face:Tahoma, ; }
-->    
</STYLE>

<body>
<div align=center>
', '</div>
</body>
</html>');

# --------------------------------------------------------
#
# Table structure for table 'xmtinfo'
#

CREATE TABLE xmtinfo (
   extension varchar(15) NOT NULL,
   icon varchar(31) DEFAULT 'xbbs_undefinedmime.gif' NOT NULL,
   common_tag_string varchar(255) DEFAULT '<a href=\'[@PATH@]\' title=\'[@NAME@]\'>[@ICON@][@NAME@]</a>' NOT NULL,
   left_tag_string varchar(255) DEFAULT '<a href=\'[@PATH@]\' title=\'[@NAME@]\'>[@ICON@][@NAME@]</a>' NOT NULL,
   right_tag_string varchar(255) DEFAULT '<a href=\'[@PATH@]\' title=\'[@NAME@]\'>[@ICON@][@NAME@]</a>' NOT NULL,
   center_tag_string varchar(255) DEFAULT '<a href=\'[@PATH@]\' title=\'[@NAME@]\'>[@ICON@][@NAME@]</a>' NOT NULL,
   cont varchar(32) DEFAULT '' NOT NULL,
   PRIMARY KEY (extension),
   KEY extension (extension, icon)
);

#
# Dumping data for table 'xmtinfo'
#

INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'gif', 'xmime_gif.gif', '<table cellpadding=0 cellspacing=0>
  <tr>
    <td valign=top><img src=\\\'[@PATH@]\\\' border=0></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=left>
  <tr>
    <td valign=top><img src=\\\'[@PATH@]\\\' border=0></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=right>
  <tr>
    <td valign=top><img src=\\\'[@PATH@]\\\' border=0></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=center>
  <tr>
    <td valign=top><img src=\\\'[@PATH@]\\\' border=0></td>
  </tr>
</table>', 'GIF׸');
INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'jpg', 'xmime_jpg.gif', '<table cellpadding=0 cellspacing=0>
  <tr>
    <td valign=top><img src=\\\'[@PATH@]\\\' border=0></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=left>
  <tr>
    <td valign=top><img src=\\\'[@PATH@]\\\' border=0></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=right>
  <tr>
    <td valign=top><img src=\\\'[@PATH@]\\\' border=0></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=center>
  <tr>
    <td valign=top><img src=\\\'[@PATH@]\\\' border=0></td>
  </tr>
</table>', 'JPG׸');
INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'jpeg', 'xmime_jpeg.gif', '<table cellpadding=0 cellspacing=0>
  <tr>
    <td valign=top><img src=\\\'[@PATH@]\\\' border=0></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=left>
  <tr>
    <td valign=top><img src=\\\'[@PATH@]\\\' border=0></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=right>
  <tr>
    <td valign=top><img src=\\\'[@PATH@]\\\' border=0></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=center>
  <tr>
    <td valign=top><img src=\\\'[@PATH@]\\\' border=0></td>
  </tr>
</table>', 'JPEG׸');
INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'bmp', 'xmime_bmp.gif', '<table cellpadding=0 cellspacing=0>
  <tr>
    <td valign=top><img src=\\\'[@PATH@]\\\' border=0></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=left>
  <tr>
    <td valign=top><img src=\\\'[@PATH@]\\\' border=0></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=right>
  <tr>
    <td valign=top><img src=\\\'[@PATH@]\\\' border=0></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=center>
  <tr>
    <td valign=top><img src=\\\'[@PATH@]\\\' border=0></td>
  </tr>
</table>', 'BMP׸');
INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'png', 'xmime_png.gif', '<table cellpadding=0 cellspacing=0>
  <tr>
    <td valign=top><img src=\\\'[@PATH@]\\\' border=0></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=left>
  <tr>
    <td valign=top><img src=\\\'[@PATH@]\\\' border=0></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=right>
  <tr>
    <td valign=top><img src=\\\'[@PATH@]\\\' border=0></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=center>
  <tr>
    <td valign=top><img src=\\\'[@PATH@]\\\' border=0></td>
  </tr>
</table>', 'PNG׸');
INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'hwp', 'xmime_hwp.gif', '<table cellpadding=0 cellspacing=0>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'><img src=\\\'[@ICON@]\\\' border=0>[@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=left>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'><img src=\\\'[@ICON@]\\\' border=0>[@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=right>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'><img src=\\\'[@ICON@]\\\' border=0>[@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=center>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'><img src=\\\'[@ICON@]\\\' border=0>[@NAME@]</a></td>
  </tr>
</table>', 'Ʒ ѱ');
INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'doc', 'xmime_doc.gif', '<a href=\\\'#\\\' onClick=\\\"window.open(\\\'[@PATH@]\\\', \\\'ViewWindow\\\', \\\'resize=yes,width=600,height=400\\\')\\\" title=\\\'[@NAME@]\\\'><img src=\\\'[@ICON@]\\\' border=0 valign=middle> [@NAME@] </a>', '<table cellpadding=0 cellspacing=0 align=left>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'><img src=\\\'[@ICON@]\\\' border=0 valign=middle> [@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=right>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'><img src=\\\'[@ICON@]\\\' border=0 valign=middle> [@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=center>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'><img src=\\\'[@ICON@]\\\' border=0 valign=middle> [@NAME@]</a></td>
  </tr>
</table>', 'M$-Word');
INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'txt', 'xmime_txt.gif', '<table cellpadding=0 cellspacing=0>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'>[@ICON@][@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=left>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'>[@ICON@][@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=right>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'>[@ICON@][@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=center>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'>[@ICON@][@NAME@]</a></td>
  </tr>
</table>', 'Text File');
INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'tar', 'xmime_tar.gif', '<table cellpadding=0 cellspacing=0>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'>[@ICON@][@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=left>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'>[@ICON@][@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=right>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'>[@ICON@][@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=center>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'>[@ICON@][@NAME@]</a></td>
  </tr>
</table>', 'TAR');
INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'gz', 'xmime_gz.gif', '<a href=\\\'#\\\' onClick=\\\"window.open(\\\'[@PATH@]\\\', \\\'ViewWindow\\\', \\\'resize=yes,width=600,height=400\\\')\\\" title=\\\'[@NAME@]\\\'><img src=\\\'[@ICON@]\\\' border=0 valign=middle> [@NAME@] </a>', '<table cellpadding=0 cellspacing=0 align=left>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'><img src=\\\'[@ICON@]\\\' border=0 valign=middle> [@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=right>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'><img src=\\\'[@ICON@]\\\' border=0 valign=middle> [@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=center>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'><img src=\\\'[@ICON@]\\\' border=0 valign=middle> [@NAME@]</a></td>
  </tr>
</table>', 'gz');
INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'z', 'xmime_z.gif', '<table cellpadding=0 cellspacing=0>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'>[@ICON@][@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=left>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'>[@ICON@][@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=right>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'>[@ICON@][@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=center>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'>[@ICON@][@NAME@]</a></td>
  </tr>
</table>', 'compress');
INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'zip', 'xmime_zip.gif', '<table cellpadding=0 cellspacing=0>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'>[@ICON@][@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=left>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'>[@ICON@][@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=right>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'>[@ICON@][@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=center>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'>[@ICON@][@NAME@]</a></td>
  </tr>
</table>', 'zip');
INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'UndefinedMime', 'xmime_undefinedmime.gif', '<table cellpadding=0 cellspacing=0>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'>[@ICON@] [@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=left>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'>[@ICON@] [@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=right>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'>[@ICON@] [@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=center>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'>[@ICON@] [@NAME@]</a></td>
  </tr>
</table>', 'UndefinedMime');
INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'swf', 'xmime_swf.gif', '<table cellpadding=0 cellspacing=0>
  <tr>
    <td valign=top>
      <EMBED 
	  src=\\\'[@PATH@]\\\' 
	  quality=high 
	  bgcolor=#999999 
	  TYPE=\\\'application/x-shockwave-flash\\\' 
	</EMBED>
    </td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=left>
  <tr>
    <td valign=top>
      <EMBED 
	  src=\\\'[@PATH@]\\\' 
	  quality=high 
	  bgcolor=#999999 
	  TYPE=\\\'application/x-shockwave-flash\\\' 
	</EMBED>
    </td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=right>
  <tr>
    <td valign=top>
      <EMBED 
	  src=\\\'[@PATH@]\\\' 
	  quality=high 
	  bgcolor=#999999 
	  TYPE=\\\'application/x-shockwave-flash\\\' 
	</EMBED>
    </td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=center>
  <tr>
    <td valign=top>
      <EMBED 
	  src=\\\'[@PATH@]\\\' 
	  quality=high 
	  bgcolor=#999999 
	  TYPE=\\\'application/x-shockwave-flash\\\' 
	</EMBED>
    </td>
  </tr>
</table>', 'Flash');
INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'wav', 'xmime_wav.gif', '<bgsound src=\\\'[@PATH@]\\\'>', '<table cellpadding=0 cellspacing=0 align=left>
  <tr>
    <td valign=top><EMBED src=\\\'[@PATH@]\\\'></EMBED></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=right>
  <tr>
    <td valign=top><EMBED src=\\\'[@PATH@]\\\'></EMBED></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=center>
  <tr>
    <td valign=top><EMBED src=\\\'[@PATH@]\\\'></EMBED></td>
  </tr>
</table>', 'wav');
INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'html', 'xmime_html.gif', '<a href=\\\'#\\\' onClick=\\\"window.open(\\\'[@PATH@]\\\', \\\'ViewWindow\\\', \\\'resize=yes,width=600,height=400\\\')\\\" title=\\\'[@NAME@]\\\'><img src=\\\'[@ICON@]\\\' border=0 valign=middle> [@NAME@] </a>', '<table cellpadding=0 cellspacing=0 align=left>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'><img src=\\\'[@ICON@]\\\' border=0 valign=middle> [@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=right>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'><img src=\\\'[@ICON@]\\\' border=0 valign=middle> [@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=center>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'><img src=\\\'[@ICON@]\\\' border=0 valign=middle> [@NAME@]</a></td>
  </tr>
</table>', 'HTML');
INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'htm', 'xmime_htm.gif', '<a href=\\\'#\\\' onClick=\\\"window.open(\\\'[@PATH@]\\\', \\\'ViewWindow\\\', \\\'resize=yes,width=600,height=400\\\')\\\" title=\\\'[@NAME@]\\\'><img src=\\\'[@ICON@]\\\' border=0 valign=middle> [@NAME@] </a>', '<table cellpadding=0 cellspacing=0 align=left>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'><img src=\\\'[@ICON@]\\\' border=0 valign=middle> [@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=right>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'><img src=\\\'[@ICON@]\\\' border=0 valign=middle> [@NAME@]</a></td>
  </tr>
</table>', '<table cellpadding=0 cellspacing=0 align=center>
  <tr>
    <td valign=top><a href=\\\'[@PATH@]\\\' title=\\\'[@NAME@]\\\'><img src=\\\'[@ICON@]\\\' border=0 valign=middle> [@NAME@]</a></td>
  </tr>
</table>', 'HTML');
INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'avi', 'xmime_avi.gif', '<table border=0>
  <tr><td>
<a href=\\\'[@PATH@]\\\'><img src=\\\'[@ICONF@]\\\' border=0>[@NAME@]</a>
  </td></tr>
</table>', '<table border=0 align=left>
  <tr><td>
<embed src=\\\'[@PATH@]\\\'></embed>
  </td></tr>
</table>', '<table border=0 align=right>
  <tr><td>
<embed src=\\\'[@PATH@]\\\'></embed>
  </td></tr>
</table>', '<table border=0 align=center>
  <tr><td>
<embed src=\\\'[@PATH@]\\\'></embed>
  </td></tr>
</table>', '');
INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'cpp', 'xmime_cpp.gif', '<table border=0>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', '<table border=0 align=left>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', '<table border=0 align=right>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', '<table border=0 align=center>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', 'C++');
INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'exe', 'xmime_exe.gif', '<table border=0>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', '<table border=0 align=left>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', '<table border=0 align=right>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', '<table border=0 align=center>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', 'EXE');
INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'pdd', 'xmime_pdd.gif', '<table border=0>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', '<table border=0 align=left>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', '<table border=0 align=right>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', '<table border=0 align=center>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', 'Photoshop');
INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'psd', 'xmime_psd.gif', '<table border=0>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', '<table border=0 align=left>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', '<table border=0 align=right>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', '<table border=0 align=center>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', 'Photoshop');
INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'pdf', 'xmime_pdf.gif', '<table border=0>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', '<table border=0 align=left>
  <tr><td>
<embed src=\\\'[@PAHT@]\\\'></embed>
  </td></tr>
</table>', '<table border=0 align=right>
  <tr><td>
<embed src=\\\'[@PAHT@]\\\'></embed>
  </td></tr>
</table>', '<table border=0 align=center>
  <tr><td>
<embed src=\\\'[@PAHT@]\\\'></embed>
  </td></tr>
</table>', 'PDF');
INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'ppt', 'xmime_ppt.gif', '<table border=0>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', '<table border=0 align=left>
  <tr><td>
<embed src=\\\'[@PAHT@]\\\'></embed>
  </td></tr>
</table>', '<table border=0 align=left>
  <tr><td>
<embed src=\\\'[@PAHT@]\\\'></embed>
  </td></tr>
</table>', '<table border=0 align=left>
  <tr><td>
<embed src=\\\'[@PAHT@]\\\'></embed>
  </td></tr>
</table>', 'PowerPoint');
INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'reg', 'xmime_reg.gif', '<table border=0>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', '<table border=0 align=left>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', '<table border=0 align=right>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', '<table border=0 align=center>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', 'Registry');
INSERT INTO xmtinfo (extension, icon, common_tag_string, left_tag_string, right_tag_string, center_tag_string, cont) VALUES ( 'sys', 'xmime_sys.gif', '<table border=0>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', '<table border=0 align=left>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', '<table border=0 align=right>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', '<table border=0 align=center>
  <tr><td>
<a href=\\\'[@PATH@]\\\'>[@ICON@][@NAME@]</a>
  </td></tr>
</table>', 'System');

# --------------------------------------------------------
#
# Table structure for table 'xninfo'
#

CREATE TABLE xninfo (
   id varchar(32) NOT NULL,
   seq_no enum('0','1','2','3','4','5','6') DEFAULT '0' NOT NULL,
   seq_title enum('0','1','2','3','4','5','6') DEFAULT '2' NOT NULL,
   seq_author enum('0','1','2','3','4','5','6') DEFAULT '3' NOT NULL,
   seq_attach enum('0','1','2','3','4','5','6') DEFAULT '1' NOT NULL,
   seq_write_time enum('0','1','2','3','4','5','6') DEFAULT '4' NOT NULL,
   seq_cnt enum('0','1','2','3','4','5','6') DEFAULT '5' NOT NULL,
   width_no decimal(3,0) DEFAULT '10' NOT NULL,
   width_title decimal(3,0) DEFAULT '10' NOT NULL,
   width_author decimal(3,0) DEFAULT '10' NOT NULL,
   width_attach decimal(3,0) DEFAULT '10' NOT NULL,
   width_write_time decimal(3,0) DEFAULT '10' NOT NULL,
   width_cnt decimal(3,0) DEFAULT '10' NOT NULL,
   attach_type enum('0','1') NOT NULL,
   view_type enum('0','1','2','3','4','5','6') NOT NULL,
   list_cnt decimal(2,0) DEFAULT '10' NOT NULL,
   max_title_len decimal(2,0) DEFAULT '20' NOT NULL,
   datetime_type enum('0','1','2','3','4','5','6','7','8') NOT NULL,
   PRIMARY KEY (id),
   KEY id (id)
);

#
# Dumping data for table 'xninfo'
#

